# Get distance with one or more points

Find the distance and general drive time between multiple points.

Endpoint: GET /getDistanceMultipoint

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `id` (string, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `opt` (string)
    Options - List options in the following format, with multiple options delimited with a ,. For example: optionName:parameter,optionName:parameter.
These options are case-sensitive and camel case.

- arriveAt: - Specify the arrival time ISO 8601 UTC.
- avoid: - Specify the types of transport obstacles to avoid.
- departAt: - Specify the departure date and time in ISO 8601 UTC. Default is now - departs immediately.
- routeType: - Specify the type of route.

  - eco - Balances travel time and fuel efficiency.
  - fastest - Optimizes for fastest travel time.
  - shortest - Optimizes for shortest travel distance.
  - thrilling - Optimized for challenging, hilly, or winding routes.
- traffic: - Considers current traffic conditions. Default is true.
- travelMode: - Specify the type of vehicle used for the travel mode. Default is car.
- vehicleCommercial: - Indicates if the vehicle is a commercial vehicle. Default is false.
- vehicleHeight: - Specifies the vehicle height in meters. There are no height restrictions. Default is 0.
- vehicleLength: - Specifies the vehicle length in meters. Default is 0.
- vehicleMaxSpeed: - Specifies the maximum vehicle speed in km/hr. Default is 0.
- vehicleWeight: - Specifies the vehicle weight in kilograms. Minimum value is 1.
    Example: "avoid:tunnels,routeType:shortest"

  - `t` (string)
    Transmission Reference - Serves as a unique request identifier. It is returned as sent.
    Example: "Test"

  - `units` (string)
    Units - This specifies the returned distance unit scale. Use mi for miles and km for kilometers.
    Enum: "mi", "km"

  - `points` (string, required)
    Required. Points are a series of Latitude,Longitude sets.
Each Latitude is separated from its Longitude by the standard comma.
Each set is delimited by a colon :, for example: lat1,long1:lat2,long2:lat3,long3:lat4,long4 calculated the time and distance between starting point 1 and destination 4 with stops 2 and 3 in between.
    Example: "42.211479,-70.999908:42.201926,-71.007090:42.211848,-71.019438:42.214976,-71.0045472"

## Response 200 fields (application/json):

  - `Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Street Route Result Codes](https://docs.melissa.com/cloud-api/street-route/result-codes.html).

  - `Units` (string)
    This is a string value that is the set unit of measurement for the TotalDrivingDistance field.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Street Route Result Codes](https://docs.melissa.com/cloud-api/street-route/result-codes.html).

  - `TravelTime` (string)
    This is a string value of the travel time for the record in the format hh:mm:ss.

  - `TotalDrivingDistance` (string)
    This is a string value with the total driving distance. Refer to the Units field to know what unit of measurement it is.

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `Version` (string)
    The current service version number.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


